commit:     870e702d901cad14fe2c5aacae191e59648f8694
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  8 21:30:07 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Dec  8 21:53:38 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=870e702d

dev-php/pecl-apcu_bc: Revision bump for EAPI and php 7.1

Package-Manager: portage-2.3.3

 dev-php/pecl-apcu_bc/pecl-apcu_bc-1.0.3-r1.ebuild | 35 +++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/dev-php/pecl-apcu_bc/pecl-apcu_bc-1.0.3-r1.ebuild 
b/dev-php/pecl-apcu_bc/pecl-apcu_bc-1.0.3-r1.ebuild
new file mode 100644
index 00000000..b3be8cd
--- /dev/null
+++ b/dev-php/pecl-apcu_bc/pecl-apcu_bc-1.0.3-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PHP_EXT_NAME="bc_apc"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+PHP_EXT_EXTRA_ECONF=""
+DOCS=( README.md )
+
+USE_PHP="php7-0 php7-1"
+
+inherit php-ext-pecl-r3
+
+KEYWORDS="~amd64 ~x86"
+
+DESCRIPTION="Provides APC backwards compatibility functions via APCu"
+LICENSE="PHP-3.01"
+SLOT="0"
+IUSE=""
+
+DEPEND="dev-php/pecl-apcu:7[php_targets_php7-0?,php_targets_php7-1?]"
+RDEPEND="${DEPEND}"
+
+src_install() {
+       # Rename the apc.so to match the ini file loading requirement
+       local slot
+       for slot in $(php_get_slots); do
+               php_init_slot_env ${slot}
+               mv "modules/apc.so" "modules/${PHP_EXT_NAME}.so" || die
+       done
+       php-ext-pecl-r3_src_install
+}

Reply via email to